For the complete documentation index, see llms.txt. This page is also available as Markdown.

List order discounts

List order discounts

Required permissions: SALES_ORDER,RETURN_ORDER

get
/tenants/{tenantUid}/stores/{storeUid}/orders/{orderUid}/discounts
Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
storeUidstringRequired

Reference to a Store.

Pattern: ^[A-Za-z0-9-_]+
orderUidstringRequired

Reference to an Order.

Pattern: ^[A-Za-z0-9-_]+
Responses
200

Example response

application/json
get/tenants/{tenantUid}/stores/{storeUid}/orders/{orderUid}/discounts
GET /v2/tenants/{tenantUid}/stores/{storeUid}/orders/{orderUid}/discounts HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Example response

{
  "items": [
    {
      "orderDiscountUid": "text",
      "discountCode": "text",
      "type": "PERCENTAGE",
      "amount": 1,
      "name": "text",
      "origin": "LOYALTY",
      "validTo": "2026-01-01T00:00:00.000Z",
      "maxUsage": 1,
      "productSkus": [
        "text"
      ],
      "orderItemUids": [
        "text"
      ],
      "externalTransactionId": "text",
      "scope": "WHOLE_ORDER",
      "discountReasonCode": "text",
      "discountReference": "text",
      "createdAt": "2026-01-01T00:00:00.000Z",
      "createdBy": "text",
      "lastModifiedAt": "2026-01-01T00:00:00.000Z",
      "lastModifiedBy": "text",
      "campaignUid": "text"
    }
  ]
}

Last updated

Was this helpful?